<!DOCTYPE html>
<html>
 <head>
   <meta charset="utf-8" />
   <title>JS-ADV. Lesson 1. Task 2 </title>
</head>
<body>
  <div class="wrap" id="app">

    <header>
      <button>RED</button>
      <button>BLUE</button>
      <button>GREEN</button>
    </header>

    <h2 id="user">Users:</h2>
    <div class="container">
      <ul id="list">
        <li id="JackLi">Jack</li>
        <li class="show test">Marlyn</li>
        <li name="Dexter" id="test" class="show test">Dexter</li>
      </ul>
    </div>
    <input id="TestAttribute"/>
    <div id="createArea" name="block"></div>

  </div>

  <script>
    /*
      Задание:

        1. Выбрать как элемент блок с id - test;
        2. Выбрать по css селектору все button
        3. Выбрать родительский элемент .wrap используя точку отсчета блок с с id = createArea.
        4. Выбрать все элементы li по тегу
        5. Выбрать все элементы по классу 'test'
    */

    //1
    var element1 = document.getElementById("test");
      console.log("1: ",element1);

    //2
    var buttons = document.querySelectorAll('button'); 
      console.log("2: ",buttons);

    //3
    var createArea = document.getElementById("createArea");
    var wrap = createArea.closest('.wrap');
      console.log("3: ",wrap);

    //4
    var element_li = document.getElementsByTagName('li');
      console.log("4: ",element_li);

    //5
    var element_test = document.getElementsByClassName('.test');
      console.log("5: ",element_test);
    
    element_test = document.querySelectorAll('.test');
      console.log("5: ",element_test);

  </script>
</body>
</html>
